{% extends 'base.html.twig' %}
{% form_theme form_search 'bootstrap_4_layout.html.twig' %}
{% block title %}Liste Niveau {% endblock %}

{% block body %}

    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_niveau" url="{{ path('niveau_new_ajax') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouveau niveau"> Ajouter</span></button>
        </a>
        <a href="{{ path('niveau_list') }}" target="_blank">
            <button type="button" class="btn btn-success"><span
                        class="glyphicon glyphicon-print" title="Imprimer liste des niveaux">  Imprimer</span></button>
        </a></td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Recherche Niveau </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            {{ form_start(form_search) }}
            <div class="row">
                <div class="col-md-2">
                    {{ form_row(form_search.code_niveau,{'value':app.request.get('code_niveau')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.libelle_niveau_fr,{'value':app.request.get('libelle_niveau_fr')}) }}
                </div>
                <div class="col-md-2">
                    {{ form_row(form_search.libelle_niveau_ar
                        ,{'value':app.request.get('libelle_niveau_ar')}) }}
                </div>
                <div class="col-md-3">
                    {{ form_row(form_search.filiere,{'value':app.request.get('filiere')}) }}
                </div>
                <div class="col-md-2" style="margin-top: 25px;">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-search" title="Chercher"></span>
                    </button>
                    <a href="{{ path('niveau_index') }}" class="btn btn-danger"><span
                                class="glyphicon glyphicon-refresh" title="Actualiser"></span></a>
                </div>
            </div>
            {{ form_end(form_search) }}
        </div>
    </div>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste des Niveaux </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Code Niveau</th>
                    <th>Nom du Niveau en Français</th>
                    <th>Nom du Niveau en Arabe</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for niveau in niveaux %}
                    <tr>

                        <td>{{ niveau.codeNiveau }}</td>
                        <td>{{ niveau.libelleNiveauFr }}</td>
                        <td>{{ niveau.libelleNiveauAr }}</td>

                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_niveau"
                                                url="{{ path('niveau_show', {'id': niveau.id}) }}"><span
                                                    class=" glyphicon glyphicon-info-sign
                                " title="Détail"></span></button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_niveau"
                                                url="{{ path('niveau_edit_ajax', {'id': niveau.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier niveau"></span>
                                        </button>
                                    </a>
                                </li>

                                <li>  {{ include('niveau/_delete_form.html.twig') }}</li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="5">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div align='center' class="navigation">
                {{ knp_pagination_render(niveaux) }}
            </div>
            {#fenetre modale D'ajout#}

            <div class="modal fade" id="modalNiveau" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_niveau">Ajouter Un Niveau</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_niveau', function (event) {
            $('#modalNiveau').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_niveau').html('Ajouter nouvelle niveau');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_niveau', function (event) {
            $('#modalNiveau').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_niveau').html('Modifier niveau');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_niveau', function (event) {
            $('#modalNiveau').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_niveau').html('Info filière');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_niveau', function (event) {
            var name_niveau = $(this).attr('name_niveau');
            var id_niveau = $(this).attr('id_niveau');
            $('#modalNiveau').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_niveau').html('Supprimer niveau');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer le niveau: <b>' + name_niveau + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_niveau" onclick="confirmer_delete_niveau(' + id_niveau + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_niveau(id_niveau) {
            $('#form_delete_niveau_' + id_niveau).submit();
        }

        $('body').on('click', '.save_niveau', function (event) {

            var form = $('#form_add_niveau');
            var formData = new FormData(document.getElementById("form_add_niveau"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_niveau').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalNiveau').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_niveau', function (event) {

            var form = $('#form_add_niveau');
            var formData = new FormData(document.getElementById("form_add_niveau"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_niveau').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalNiveau').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_niveau(name_niveau) {
            $('#modalNiveau').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_niveau').html('Supprimer niveau');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la niveau: ' + name_niveau);
            return false;
        }
    </script>

{% endblock %}